# MARC Extractor

Create extraction patterns for MARC-categories, indicators and subfields and extract the according data from XML files.

## Usage

The function **build\_extractor** lets you construct an extractor. It contains a pattern, a selector and a collector character.

```
pattern = '700 1 _ $$a ; 700 1 _ $$0 ; 700 1 _ $$a ; 700 1 _ $$0'
selector = '$$4 egr ; $$4 egr ; $$4 ill ; $$4 ill'
collector_char = ';'
build_extractor(pattern, selector, collector_char)
```

### Pattern
A pattern may contain a series of MARC-categories with the following attributes:
* tag only (if it is a controlfield, like 009)
* tag with inds only
* tag with both inds and subfield

It is possible to list more than one MARC-category with a delimiter of a semicolon or a greater than sign.
* semicolon delimits a list of MARC-categories where the values should be concatenated with the given delimiter.
* greater than delimits a list of MARC-categories where the first that is actually encountered will be used, but none of the following.

### Selector
Use the selector if you need to restrict by content of a specific subfield. So far this was mainly used to restrict 700 $$a (contributer) to a specific relationship to the work 700 $$4 (e. g. illustrator) and can only be used between subfields of the same category.

### Collector Character
Delimiter used in the output for categories that are concatenated.

# Author
Stefan Karner
