import pytest
import marc_tools.marc_extractor as marc_extractor


class TestConstructSingleCommand:

    def test_pattern_tag_sf(self):
        marc_extractor.SingleCommand('245 $$a')
        assert True

    def test_pattern_tag_inds_sf(self):
        marc_extractor.SingleCommand('245 0 0 $$a')
        assert True

    def test_pattern_controlfield(self):
        marc_extractor.SingleCommand('009')
        assert True

    def test_pattern_ava(self):
        marc_extractor.SingleCommand('AVA 0 0 $$b')
        assert True

    def test_pattern_tag_inds(self):
        with pytest.raises(ValueError):
            marc_extractor.SingleCommand('245 0 0')

    def test_pattern_tag(self):
        with pytest.raises(ValueError):
            marc_extractor.SingleCommand('245')

    def test_pattern_inds_sf(self):
        with pytest.raises(ValueError):
            marc_extractor.SingleCommand('0 0 $$x')

    def test_pattern_malformed_tag(self):
        with pytest.raises(ValueError):
            marc_extractor.SingleCommand('24X 0 0 $$a')

    def test_pattern_malformed_ind(self):
        with pytest.raises(ValueError):
            marc_extractor.SingleCommand('245 x y $$b')

    def test_pattern_malformed_sf(self):
        with pytest.raises(ValueError):
            marc_extractor.SingleCommand('245 x y $$foo')

    def test_pattern_concat_inds(self):
        with pytest.raises(ValueError):
            marc_extractor.SingleCommand('245 1_ $$a')

    def test_pattern_sth_completely_different(self):
        with pytest.raises(ValueError):
            marc_extractor.SingleCommand('foobar')


class TestParseSingleCommand:
    pass


class TestSelectorsSingleCommand:
    pass
